Attribute VB_Name = "Module1"
Private Type MojString
  T(1 To 256) As Byte
End Type
Public Sub StringNaMojString(ByVal InString As String, ByRef OutString As MojString)

Dim Licznik As Long

For Licznik = 1 To Len(InString)
 OutString.T(Licznik) = Asc(Mid(InString, Licznik, 1))
Next Licznik
OutString.T(Len(InString) + 1) = 0

End Sub
Public Sub MojStringNaString(ByRef InString As MojString, ByRef OutString As String)

Dim Licznik As Long
Dim Tmp As Byte

Licznik = 1
OutString = ""

While (Licznik < 256) And (InString.T(Licznik) > 0)
 OutString = OutString & Chr$(InString.T(Licznik))
 Licznik = Licznik + 1
Wend

End Sub
Public Sub FunkcjaObslugiBarkodow(ByRef AdresIP As MojString, ByRef Barkod As MojString, ByRef TekstNaWyswietlacz As MojString, ByRef RodzajDzwieku As Long, ByRef CzasWyswietlania As Long, ByRef TekstDoDrukarki As MojString)
    
  CzasWyswietlania = 5
  RodzajDzwieku = 0
  Dim Tmp As String
  
  Call MojStringNaString(Barkod, Tmp)
  Call StringNaMojString("INFORMACJA ZWROTNA" & Chr$(10) & Tmp & Chr$(10), TekstNaWyswietlacz)
  Call StringNaMojString("", TekstDoDrukarki)
  
End Sub
Public Function FunkcjaObslugiStatusow(ByRef AdresIP As MojString, ByVal TypWyswietlacza As Long, ByVal TypDrukarki As Long, ByVal Status As Long, ByRef Wersja As MojString) As Long
Dim Tmp As String
    
    Call MojStringNaString(Wersja, Tmp)
    MsgBox (Tmp)
End Function
Public Sub FunkcjaObslugiBledow(ByRef AdresIP As MojString, ByVal TypTransmisji As Long, ByVal NumerBledu As Long, ByRef OpisBledu As MojString)
Dim Tmp As String
  Call MojStringNaString(OpisBledu, Tmp)
  MsgBox (Tmp)
End Sub

